## org.pentaho.reporting.libraries.repository.email
Class EmailRepository

    java.lang.Object
      org.pentaho.reporting.libraries.repository.email.EmailRepository

All Implemented Interfaces:
  Repository

    public class EmailRepository

extends java.lang.Object
implements Repository

Creation-Date: 17.09.2008, 15:00:00

Author:
  Pedro Alves - WebDetails

Constructor Summary
`EmailRepository(MimeMessage htmlEmail)`
`EmailRepository(MimeMessage htmlEmail, MimeRegistry mimeRegistry)`
`EmailRepository(MimeRegistry mimeRegistry, Session mailSession)`
`EmailRepository(Session session)`

Method Summary
`MimeBodyPart` `getBodypart()`
`MimeMessage` `getEmail()`
`MimeRegistry` `getMimeRegistry()` Returns the repositories MimeRegistry, which is used return basic content-type information about the items stored in this repository.
`MimeMultipart` `getMultipart()`
`ContentLocation` `getRoot()` Returns the repositories root directory entry.
`boolean` `isTreatHtmlContentAsBody()`
`void` `setTreatHtmlContentAsBody(boolean treatHtmlContentAsBody)`
`void` `writeEmail(java.io.OutputStream out)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EmailRepository

    public EmailRepository(MimeRegistry mimeRegistry,
                           Session mailSession)
                    throws ContentIOException,
                           MessagingException

Throws:
  `ContentIOException`
  `MessagingException`

### EmailRepository

    public EmailRepository(MimeMessage htmlEmail,
                           MimeRegistry mimeRegistry)
                    throws ContentIOException,
                           java.io.IOException,
                           MessagingException

Throws:
  `ContentIOException`
  `java.io.IOException`
  `MessagingException`

### EmailRepository

    public EmailRepository(MimeMessage htmlEmail)
                    throws ContentIOException,
                           java.io.IOException,
                           MessagingException

Throws:
  `ContentIOException`
  `java.io.IOException`
  `MessagingException`

### EmailRepository

    public EmailRepository(Session session)
                    throws ContentIOException,
                           MessagingException

Throws:
  `ContentIOException`
  `MessagingException`

Method Detail

### getRoot

    public ContentLocation getRoot()
                            throws ContentIOException

  Description copied from interface: `Repository`
  Returns the repositories root directory entry.

  Specified by:
    `getRoot` in interface `Repository`
  Returns:
    the root directory.
  Throws:
    `ContentIOException` - if an error occurs.

### getMimeRegistry

    public MimeRegistry getMimeRegistry()

  Description copied from interface: `Repository`
  Returns the repositories MimeRegistry, which is used return basic content-type information about the items stored in this repository.

  Specified by:
    `getMimeRegistry` in interface `Repository`
  Returns:
    the mime registry.
  See Also:
    `MimeRegistry`

### writeEmail

    public void writeEmail(java.io.OutputStream out)
                    throws ContentIOException

  Throws:
    `ContentIOException`

### getEmail

    public MimeMessage getEmail()

### getMultipart

    public MimeMultipart getMultipart()

### isTreatHtmlContentAsBody

    public boolean isTreatHtmlContentAsBody()

### setTreatHtmlContentAsBody

    public void setTreatHtmlContentAsBody(boolean treatHtmlContentAsBody)

### getBodypart

    public MimeBodyPart getBodypart()